<template>
  <div class="button">
    <input type="radio" :id="labelId" :checked="checked" name="playerIcon" />
    <label :for="labelId">
      <BaseIcon
        width="32px"
        height="32px"
        :color="color"
        :iconName="iconName"
      />
    </label>
  </div>
</template>
<script>
import { useUniqueId } from "../../composables/uniqueId";
import { computed } from "vue";
export default {
  name: "BaseRadioButton",
  props: {
    color: {
      type: String,
      required: true,
    },
    iconName: {
      type: String,
      required: true,
    },
    checked: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const { uniqueId } = useUniqueId();
    const labelId = computed(function () {
      return `inputId${uniqueId.value}`;
    });

    return { labelId };
  },
};
</script>

<style lang="scss" scoped>
.button {
  width: 100%;
  &:hover {
    background: var(--clr-label-hover);
  }
  input[type="radio"] {
    display: none;
  }
  label {
    cursor: pointer;
    align-items: center;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    border-radius: 10px;
    line-height: 0;
    padding-block: 0.6rem;
    padding-inline: 3rem;
  }
  input[type="radio"]:checked + label {
    background: var(--clr-silver);
    border-radius: 4px;
  }
}
</style>
